---
url: /dash-bio/fornacontainer
name: FornaContainer
description:
    "Dash Bio is a component library
    dedicated to visualizing bioinformatics data."
icon_path: images/icons_v2/www (1).svg
languages:
  - python
  - julia
  - matlab
thumbnail: 'fornacontainer.png'
---
# ![](/assets/images/language_icons/matlab_50px.svg) dash_bio.FornaContainer Examples and Reference
see [FornaContainer in action](https://dash-gallery.plotly.host/dash-forna-container).

## FornaContainer

An example of a default FornaContainer component without any extra properties.

{{example defaultFornaContainer}}

## Customization

### Height/Width
Change the size of the canvas component that holds the container.

{{example fornaHeightWidth}}

### Disable Zoom And Pan
Specify whether zoom and pan interactions should be disabled.

{{example fornaDisableZoomPan}}

### Label Interval
Specify the interval at which the sequence positions should be labelled.

{{example fornaLabelInterval}}

### Fill Color For All Nodes
Change the color of all of the nucleotides in all sequences shown.

{{example fornaFillColor}}

### Color Scheme
Change the parameter according to which the structure is colored.

{{example fornaColorScheme}}

### Custom Color Schemes For Different Sequences
Specify color schemes to be applied to all sequences in the container, or sequence-specific color schemes.

{{example fornaCustomColor}}

{{reference dash_bio.FornaContainer}}

## Example Data

- [RNA FRABASE secondary structures](http://rnafrabase.cs.put.poznan.pl/?act=secondary%20structures)
